GET /v2/me

Returns the profile of the authenticated customer.

Request

curl -k https://api.illumience.com:11443/v2/me \
  -H "Authorization: Bearer <api_key>"

Response 200 OK

{
  "name": "Some Company",
  "contact_fname": "Bob",
  "contact_lname": "Smith",
  "email": "[email protected]",
  "phone": "(123) 345-7890",
  "mobile": "(234) 567-8901",
  "address1": "Some address",
  "address2": "",
  "city": "Some City",
  "province": "Some Province",
  "country": "Some Country"
}

Response Fields

Field
Type
Description

name

string

Customer/company name

contact_fname

string

Primary contact first name

contact_lname

string

Primary contact last name

email

string

Contact email address

phone

string

Contact phone number

mobile

string

Contact mobile number

address1

string

Street address line 1

address2

string

Street address line 2

city

string

City

province

string

Province/state

country

string

Country

All fields may be null if not set on the customer record.

Last updated